---
title: Management API
sort_rank: 9
---

# Management API

Alertmanager provides a set of management API to ease automation and integrations.


### Health check

```
GET /-/healthy
```

This endpoint always returns 200 and should be used to check Alertmanager health.


### Readiness check

```
GET /-/ready
```

This endpoint returns 200 when Alertmanager is ready to serve traffic (i.e. respond to queries).


### Reload

```
POST /-/reload
```

This endpoint triggers a reload of the Alertmanager configuration file.

An alternative way to trigger a configuration reload is by sending a `SIGHUP` to the Alertmanager process.
